Redmine - Defect #42458

"For all projects" checkbox should be disabled when editing an existing query in which the checkbox
is already checked

2025-03-21 01:27 - [Agileware] nusohiro

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Issues Estimated time: 0.00 hour
Target version: 5.1.8

Resolution: Fixed Affected version:

Description

Currently, when editing an existing query that is set for all projects (global query), users can uncheck the "For all projects" checkbox,
but this change is not actually saved when the form is submitted. This inconsistency between the Ul and the actual behavior can lead
to confusion. Even though the checkbox appears to be changeable in the interface, the system silently ignores this change when the
Save button is pressed, which creates a misleading user experience.

This patch modifies the query form to disable the "For all projects" checkbox when editing an existing query where this option is
already checked (where @query.project.nil? is true and @query.new_record? is false). This makes the Ul behavior consistent with
the actual system behavior and prevents users from attempting to make changes that won't be saved.

The implementation adds a simple conditional to the checkbox's disabled attribute:

<%= check_box_tag 'query_is_for_all', 1, @query.project.nil?, :disabled => (!@query.new_record? &&
@Qquery.project.nil?), :class => (User.current.admin? ? '' : 'disable-unless-private') %>

This ensures that:
e For new queries (both project-specific and global), the checkbox remains enabled

e For existing queries where "For all projects” is checked, the checkbox is disabled and cannot be unchecked
¢ For existing project-specific queries, the checkbox remains enabled

Related issues:
Related to Redmine - Defect #28033: Unable to turn off "For all projects" fla... New

Associated revisions

Revision 23573 - 2025-03-27 02:07 - Go MAEDA

"For all projects" checkbox should be disabled when editing an existing query in which the checkbox is already checked (#42458).

Patch by [Agileware] nusohiro (user:nusohiro).

Revision 23579 - 2025-03-28 06:31 - Go MAEDA
Merged r23573 from trunk to 6.0-stable (#42458).

Revision 23580 - 2025-03-28 06:32 - Go MAEDA
Merged r23573 from trunk to 5.1-stable (#42458).

History

#1 - 2025-03-24 10:07 - Go MAEDA
- Related to Defect #28033: Unable to turn off "For all projects" flag of custom queries added

#2 - 2025-03-24 10:08 - Go MAEDA
- Category set to Issues

- Target version set to Candidate for next minor release

#3 - 2025-03-25 10:18 - Go MAEDA
- File 42458-v2.patch added

2025-04-02 1/2




| have updated the patch. In this version, the tests that were originally added in queries_controller_is_for_all_test.rb have been moved to the existing

queries_controller_test.rb.

#4 - 2025-03-25 14:14 - [Agileware] nusohiro

Thanks for the update! Looks good to me!

#5 - 2025-03-26 03:22 - Go MAEDA

- Tracker changed from Patch to Defect

- Subject changed from Fix disable "For all projects” checkbox when it's checked in existing queries to "For all projects” checkbox should be disabled

when editing an existing query in which the checkbox is already checked

- Target version changed from Candidate for next minor release to 5.1.8

Setting the target version to 5.1.8.

#6 - 2025-03-27 02:08 - Go MAEDA
- Status changed from New to Resolved
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix in r23573. Thank you for your contribution.

#7 - 2025-03-28 06:33 - Go MAEDA

- Status changed from Resolved to Closed

Merged the fix into the stable branches in r23579 and r23580.

Files

Fix disable _For all projects_ checkbox when it_s checked in existing qti&®eBatch
42458-v2.patch 2.78 KB
